import { defineComponent, ref, computed } from 'vue'

import { CImgText } from '../../../components/CImgText/index'
import { CCard } from '@src/components/CCard'
import { CMyPage } from '@src/components/CMyPage'
import { CTitleBanner } from '@src/components/CTitleBanner'
import { CGridTableRec } from '@src/components/CGridTableRec'

import { colTablegroups } from '@src/store/Modules/fieldsTable'
import { tools } from '@tools'

export default defineComponent({
  name: 'GroupPage',
  components: { CImgText, CCard, CMyPage, CTitleBanner, CGridTableRec },
  setup() {

    function getdefaultnewrec(): any {
      return tools.getdefaultnewrec_MyGroup()
    }

    return {
      colTablegroups,
      getdefaultnewrec
    }
  }
})
